var nock = require('nock');

var nockApi = nock('https://api.getstream.io:443', { "encodedQueryParams" : true });

const BASE_PATH = '/api/v1.0/';

// In Memory Feed Data Store
var feeds = {
	'flat': {},
	'user': {},
	'aggregated': {},
};

function buildResult(activities) {
	return {
		results: activities,
		duration: '0ms',
	};
}

const FeedDetail = /api\/v1\.0\/feed\/(\w+)\/([a-z A-Z 0-9]+)\/$/;
/**
 * Feed Detail
 * 
 * GET /feed/<feed_slug>/<feed_id>/
 */
nockApi
	// Get activities
	.get(FeedDetail)
	.reply(200, function(uri, requestBody) {
		var matches = uri.match(FeedDetail)
		  , slug = matches[1]
		  , id = matches[2];

		if (feeds[slug] && ! feeds[slug][id]) {
			feeds[slug][id] = [];
		}

		return buildResult(feeds[slug][id]);
	});

/**
 * Feed Detail
 *
 * POST /feed/<feed_slug>/<feed_id>/
 */
 nockApi
 	.post(FeedDetail)
 	.reply(200, function(uri, requestBody) {
 		return [];
 	});